# -*- coding: utf-8 -*-
from gpiozero import Button
from signal import pause
import os

# Initialisiert den Button. Der Parameter ist die BCM Pin-Nummer.
shutdown_button = Button(4, pull_up=True) # GPIO4 mit internem Pull-up-Widerstand

def shutdown():
    print("GPIO 4 ist LOW, fahre den Raspberry Pi herunter...")
    os.system("sudo shutdown -h now")

# Fhrt die shutdown Funktion aus, wenn der Button gedrckt wird.
# In diesem Fall entspricht "gedrckt" einem LOW Signal.
shutdown_button.when_pressed = shutdown

pause() # Wartet auf das Signal (dies hlt das Skript am Laufen)
